Bug 469403 - AR242x wireless adapter on lenovo T400 stops working under kernel 2.6.27.4-58.fc10.x86_64
AR242x wireless adapter on lenovo T400 stops working under kernel 2.6.27.4-58...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 12:55 EDT by David Ehle
Modified: 2008-12-18 14:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 14:45:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg > dmesg.out (120.65 KB, text/plain)
2008-10-31 12:55 EDT, David Ehle
no flags Details

  None (edit)
Description David Ehle 2008-10-31 12:55:27 EDT
Created attachment 322109 [details]
output of dmesg > dmesg.out

Description of problem:
On a newly set up Lenovo T400 Thinkpad with the Atheros AR242x 802.11Abg Wireless PCI Express Adapter (rev 01), using the ath5k kernel module from the 2.6.27.4-58.fc10 kernel, the wireless device will stop working and be put in a state where only a power cycle will fix it.  

relevent information from dmesg:

<SNIP>
ath5k_pci 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
ath5k_pci 0000:03:00.0: setting latency timer to 64
ath5k_pci 0000:03:00.0: registered as 'phy0'
ath5k phy0: Support for RF2425 is under development.
phy0: Selected rate control algorithm 'pid'
ath5k phy0: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)
<SNIP>
thinkpad_acpi: ThinkPad ACPI Extras v0.21
thinkpad_acpi: http://ibm-acpi.sf.net/
thinkpad_acpi: ThinkPad BIOS 7UET45WW (1.15 ), EC 7VHT12WW-1.01
thinkpad_acpi: Lenovo ThinkPad T400, model 2764CTO
thinkpad_acpi: radio switch found; radios are enabled
<SNIP>
ADDRCONF(NETDEV_UP): eth0: link is not ready
ath5k phy0: noise floor calibration timeout (2412MHz)
ath5k phy0: unable to reset hardware: -11
ADDRCONF(NETDEV_UP): wlan0: link is not ready
0000:00:19.0: eth0: Link is Up 100 Mbps Full Duplex, Flow Control: RX/TX
0000:00:19.0: eth0: 10/100 speed: disabling TSO
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
wlan0: authenticate with AP 00:0b:85:92:00:7f
wlan0: authenticated
wlan0: associate with AP 00:0b:85:92:00:7f
wlan0: RX AssocResp from 00:0b:85:92:00:7f (capab=0x421 status=0 aid=2)
wlan0: associated
wlan0: disassociating by local choice (reason=3)
pci 0000:01:00.0: power state changed by ACPI to D0
pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
eth0: no IPv6 routers present
<SNIP>
ath5k phy0: noise floor calibration timeout (2412MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
wlan0: failed to restore operational channel after scan
wlan0: No ProbeResp from current AP 00:0b:85:92:00:7f - assume out of range
<SNIP>
ath5k phy0: noise floor calibration timeout (2412MHz)
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: authenticated
wlan0: associate with AP 00:0b:85:91:f5:0f
wlan0: RX ReassocResp from 00:0b:85:91:f5:0f (capab=0x421 status=0 aid=13)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
wlan0: authenticate with AP 00:0b:85:92:00:7f
wlan0: authenticated
wlan0: associate with AP 00:0b:85:92:00:7f
wlan0: RX ReassocResp from 00:0b:85:92:00:7f (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: authenticate with AP 00:0b:85:92:00:7f
wlan0: authenticated
wlan0: associate with AP 00:0b:85:92:00:7f
wlan0: RX ReassocResp from 00:0b:85:92:00:7f (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: deauthenticated
wlan0: authenticated
wlan0: associate with AP 00:0b:85:91:f5:0f
wlan0: RX ReassocResp from 00:0b:85:91:f5:0f (capab=0x421 status=0 aid=13)
wlan0: associated
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: authenticated
wlan0: associate with AP 00:0b:85:91:f5:0f
<SNIP REPEATS>
ath5k phy0: noise floor calibration timeout (2412MHz)
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: deauthenticated
wlan0: authenticated
wlan0: associate with AP 00:0b:85:91:f5:0f
wlan0: RX ReassocResp from 00:0b:85:91:f5:0f (capab=0x421 status=0 aid=6)
wlan0: associated
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: authenticated
wlan0: associate with AP 00:0b:85:91:f5:0f
wlan0: RX ReassocResp from 00:0b:85:91:f5:0f (capab=0x421 status=0 aid=6)
wlan0: associated
wlan0: authenticate with AP 00:0b:85:92:00:7f
wlan0: deauthenticated
wlan0: authenticated
wlan0: associate with AP 00:0b:85:92:00:7f
<SNIP REPEATS>
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
wlan0: failed to restore operational channel after scan
wlan0: authenticate with AP 00:0b:85:91:f5:0f
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: can't reset hardware (-11)
wlan0: Failed to config new BSSID to the low-level driver
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: authenticate with AP 00:0b:85:91:f5:0f
wlan0: authentication with AP 00:0b:85:91:f5:0f timed out
ath5k phy0: noise floor calibration timeout (2412MHz)
ath5k phy0: gain calibration timeout (2417MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
wlan0: failed to set freq to 2417 MHz for scan
ath5k phy0: gain calibration timeout (2422MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
wlan0: failed to set freq to 2422 MHz for scan
ath5k phy0: gain calibration timeout (2427MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
wlan0: failed to set freq to 2427 MHz for scan
ath5k phy0: gain calibration timeout (2432MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2432 Mhz)
wlan0: failed to set freq to 2432 MHz for scan
ath5k phy0: gain calibration timeout (2437MHz)
wlan0: failed to set freq to 2437 MHz for scan
wlan0: failed to set freq to 2442 MHz for scan
wlan0: failed to set freq to 2447 MHz for scan
wlan0: failed to set freq to 2452 MHz for scan
wlan0: failed to set freq to 2457 MHz for scan
wlan0: failed to set freq to 2462 MHz for scan
wlan0: failed to restore operational channel after scan
__ratelimit: 13 callbacks suppressed
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: can't reset hardware (-11)
wlan0: Failed to config new SSID to the low-level driver
ath5k phy0: gain calibration timeout (2417MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
wlan0: failed to set freq to 2417 MHz for scan
ath5k phy0: gain calibration timeout (2422MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
wlan0: failed to set freq to 2422 MHz for scan
ath5k phy0: gain calibration timeout (2427MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
wlan0: failed to set freq to 2427 MHz for scan
ath5k phy0: gain calibration timeout (2432MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2432 Mhz)
wlan0: failed to set freq to 2432 MHz for scan
wlan0: failed to set freq to 2437 MHz for scan
wlan0: failed to set freq to 2442 MHz for scan
wlan0: failed to set freq to 2447 MHz for scan
wlan0: failed to set freq to 2452 MHz for scan
__ratelimit: 9 callbacks suppressed
ath5k phy0: gain calibration timeout (2457MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2457 Mhz)
wlan0: failed to set freq to 2457 MHz for scan
ath5k phy0: gain calibration timeout (2462MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2462 Mhz)
wlan0: failed to set freq to 2462 MHz for scan
ath5k phy0: gain calibration timeout (2412MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
wlan0: failed to restore operational channel after scan
ath5k phy0: gain calibration timeout (2417MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2417 Mhz)
wlan0: failed to set freq to 2417 MHz for scan
ath5k phy0: gain calibration timeout (2422MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2422 Mhz)
wlan0: failed to set freq to 2422 MHz for scan
ath5k phy0: gain calibration timeout (2427MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2427 Mhz)
wlan0: failed to set freq to 2427 MHz for scan
ath5k phy0: gain calibration timeout (2432MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2432 Mhz)
wlan0: failed to set freq to 2432 MHz for scan
ath5k phy0: gain calibration timeout (2437MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2437 Mhz)
wlan0: failed to set freq to 2437 MHz for scan
wlan0: failed to set freq to 2442 MHz for scan
wlan0: failed to set freq to 2447 MHz for scan
wlan0: failed to set freq to 2452 MHz for scan
wlan0: failed to set freq to 2457 MHz for scan
wlan0: failed to set freq to 2462 MHz for scan
wlan0: failed to restore operational channel after scan
__ratelimit: 13 callbacks suppressed
<SNIP 20-30 pages of the same over night>

Once it reaches this state, enabling/disabling the wireless in networkmanager, doing an ifdown wlan0, ifup wlan0, or removing and re loading the ath5k module do not correct the problem.  

In addition, the user for the machine requested that I retain the windows XP install that came with it, and noticed that once the wireless has gone bad, Windows is not able to successfully connect to any WAP either, even though it is accessed only after a reboot.

After a full powercycle of turning the system off, and then back on, the wireless was accessible on both OS's, but after a few hours of downloading updates under fedora rawhide, the wireless again failed.

This problem did not seem to occur with the 2.6.27-0.352.rc7.git1.fc10.x86_64 kernel that was installed from the Fedora10 (beta) live disk that I used to install the system - though I was unable to configure the wireless via dhcp/network manager using the CD and had to configure it manually.

Version-Release number of selected component (if applicable):
I'm unsure how to answer this question.

How reproducible:
Varies from minutes to hours, but seems to occur every time if usage duration is long enough.

Steps to Reproduce:
1.Boot laptop into fedora rawhide with kernel 2.6.27.4-58.fc10.x86_64
2.Problem may occur at boot and wlan0 never be availabe
3.If wlan0 is availble, do some sustained network usage (large update via yum)
4.Wait.
  
Actual results:
As described above.

Expected results:
I would expect that the wireless would continue to work flawlessly without interruption and not require powercycling the system.

Additional info:
Please contact me at ehle at iit dot edu if additional information is needed.  I am happy to help and get this resolved.
Thank you!
Comment 1 Bug Zapper 2008-11-25 23:34:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Giuseppe Castagna 2008-11-27 20:31:03 EST
I confirm this bug for Atheros AR5212. ath5k stop working with **all** 2.6.27.xxx
kernels, being them for fc9 or fc10. I am currently writing this report from a X40 with  2.6.27.5-117.fc10.i686 after having blacklisted ath5k and replaced by madwifi driver
Comment 3 John W. Linville 2008-12-18 13:50:53 EST
Can you recreate this with a rawhide kernel?
Comment 4 Giuseppe Castagna 2008-12-18 14:21:41 EST
Well, now it works again at least wit this kernel:
 2.6.27.7-134.fc10.i686

Note You need to log in before you can comment on or make changes to this bug.